Subject: Re: NFS-boot on PS3, kboot can't mount nfs-dir.s

From: Geoff Levand <[email-masked]>
Date: Wed, 18 Feb 2009 10:05:11 -0800

On 02/17/2009 03:14 PM, gt bradley wrote:
> I'm trying to set up my PS3 to netboot (with an nfsroot).
> 
> I'm using instructions at
> http://www.kernel.org/pub/linux/kernel/people/geoff/cell/ps3-howto/ps3-nfs-root-howto.txt
> 
> I've passed section 3 (using tftp) to verify network /dhcp etc.   (i.e.
> I'm able to tftp-get a file to ps3 from kboot's ash shell (busybox).
> 
> i'm trying to mount the nfs server as per section 4. with
> 
>  ~# mount -t nfs -o nolock 192.168.99.1:/target /mnt/remote
> 
> I get the following error message:
>   mount: mounting 192.168.99.1:/target on /mnt/remote failed
> 
> if I boot the PS3 from the HD, then I am able to mount the nfs directory.
> Using wireshark, I can see the initial dhcp traffic, (and when present the tftp traffic).
> the mount command doesn't open a network connection to the server, 
> So I have pretty much ruled out server
>  configuration.
> 
> running "strings" on the decompressed kboot image yeilds serveral nfs symbols, so it 
> appears to still support nfs mounting.  (using version kboot-20080609.bld from geoff's dir at kernel.org)
> 
> I have tried googling, and searching the various mailing lists, but am
> stuck.
> 
> any help would be appreciated
> GT

Please see my reply to the almost identical post that was sent yesterday (Feb 16).

-Geoff